package com.tofly.yswzMaterials.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author Bubble
 */
@Data
public class ProfitVo {

    /** 仓库id */
    @ApiModelProperty(value = "仓库id")
    private Long storeId;

    /** 仓库名称 */
    @ApiModelProperty(value = "仓库名称")
    private String storeName;

    /** 入库编号（自动生成，RK+年+月+0001（三位序号） */
    @ApiModelProperty(value = "单据编号")
    private String billNo;

    /** 入库时间 */
    @ApiModelProperty(value = "单据时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date fDate;

    /** 入库人ID */
    @ApiModelProperty(value = "单据id")
    private Long createUser;

    /** 入库人姓名 */
    @ApiModelProperty(value = "上报人姓名")
    private String createUserName;

    /*入库详情*/
    /** 入库数量 */
    @ApiModelProperty(value = "数量")
    private Long qty;

    @ApiModelProperty(value = "总价")
    private Double amount;

    /** 入库单价 */
    @ApiModelProperty(value = "单价")
    private Double price;

    @ApiModelProperty(value = "物料编号")
    private String deviceNo;
    @ApiModelProperty(value = "物料名称")
    private String deviceName;
    @ApiModelProperty(value = "单位")
    private String deviceUnitName;
    @ApiModelProperty(value = "单位组")
    private String unitGroup;

}
