package com.tofly.yswzMaterials.handle;

import com.tofly.yswzMaterials.service.StocksStockInfoService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author Bubble
 */
@Slf4j
@Component
@AllArgsConstructor
public class MaterialsTask {

    private final StocksStockInfoService stocksStockInfoService;

    @Scheduled(cron = "0 0 * * * ?")
    public void lowStockAlarms() {
        log.info("库存预警定时任务开始执行");
        stocksStockInfoService.lowStockAlarms();
        log.info("库存预警定时任务执行结束");
    }

}
